<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Certificate Handling Utilities</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__cert__utils__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CERT_UTILS_MODULE</name>
      <anchorfile>group__globus__gsi__cert__utils__activation.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils</name>
    <title>Cert Utils Functions</title>
    <filename>group__globus__gsi__cert__utils.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_eec</name>
      <anchorfile>group__globus__gsi__cert__utils.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(STACK_OF(X509)*cert_chain, X509 **eec)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_constants</name>
    <title>Cert Utils Constants</title>
    <filename>group__globus__gsi__cert__utils__constants.html</filename>
    <member kind="typedef">
      <type>enum globus_gsi_cert_utils_cert_type_e</type>
      <name>globus_gsi_cert_utils_cert_type_t</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_error_t</name>
      <anchor>ga1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_SUCCESS</name>
      <anchor>gga1a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_NAME_ENTRY_OF_SUBJECT</name>
      <anchor>gga1a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_COPYING_SUBJECT</name>
      <anchor>gga1a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_CN_ENTRY</name>
      <anchor>gga1a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_ADDING_CN_TO_SUBJECT</name>
      <anchor>gga1a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_OUT_OF_MEMORY</name>
      <anchor>gga1a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_UNEXPECTED_FORMAT</name>
      <anchor>gga1a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_NON_COMPLIANT_PROXY</name>
      <anchor>gga1a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE</name>
      <anchor>gga1a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_LAST</name>
      <anchor>gga1a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_cert_type_e</name>
      <anchor>ga2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_DEFAULT</name>
      <anchor>gga2a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_EEC</name>
      <anchor>gga2a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_CA</name>
      <anchor>gga2a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2</name>
      <anchor>gga2a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3</name>
      <anchor>gga2a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC</name>
      <anchor>gga2a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_FORMAT_MASK</name>
      <anchor>gga2a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_IMPERSONATION_PROXY</name>
      <anchor>gga2a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_LIMITED_PROXY</name>
      <anchor>gga2a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RESTRICTED_PROXY</name>
      <anchor>gga2a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_INDEPENDENT_PROXY</name>
      <anchor>gga2a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_PROXY_MASK</name>
      <anchor>gga2a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_IMPERSONATION_PROXY</name>
      <anchor>gga2a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_INDEPENDENT_PROXY</name>
      <anchor>gga2a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXY</name>
      <anchor>gga2a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_RESTRICTED_PROXY</name>
      <anchor>gga2a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_PROXY</name>
      <anchor>gga2a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_LIMITED_PROXY</name>
      <anchor>gga2a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_IMPERSONATION_PROXY</name>
      <anchor>gga2a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_INDEPENDENT_PROXY</name>
      <anchor>gga2a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_LIMITED_PROXY</name>
      <anchor>gga2a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_RESTRICTED_PROXY</name>
      <anchor>gga2a34</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/builddir/build/BUILD/globus_gsi_cert_utils-6.5/library/</name>
    <path>/builddir/build/BUILD/globus_gsi_cert_utils-6.5/library/</path>
    <filename>dir_000000.html</filename>
    <file>globus_gsi_cert_utils.c</file>
    <file>globus_gsi_cert_utils.h</file>
    <file>globus_gsi_cert_utils_constants.h</file>
    <file>globus_gsi_cert_utils_error.c</file>
    <file>globus_i_gsi_cert_utils.h</file>
  </compound>
</tagfile>
